pubcoder 2.0.2 output not working with Adobe Digital Editions 4.5

  1. 4 years ago

    pubcoder 2.0.2 on OS X 10.11.1
    Adobe Digital Editions 4.5

    Two issues found with ADE:

    1) pubcoder preferences -> ePub3
    Notice: Adobe Digital Editions 4.0 is not installed
    (seems to ignore the newer version 4.5 ?)

    2) Trying to insert an eBook generated with latest pubcoder version 2.0.2 into the ADE library results in an error message (rough translation):
    document cannot be inserted
    errors were found in this medium
    (no errors during publishing process within pubcoder, output works fine with iBooks.
    Unfortunately no more detailed messages from within ADE available. If necessary I can forward you a simple test to reproduce this issue)

  2. Giancarlo N

    2 Nov 2015 Administrator

    Hello Otmar,
    reporting here my reply to a similar post:
    "
    pubcoder checks every .epub it generates with the official epubchecker tool, giving out to the user if there is something breaking the epub3 standard. Did you get any epubchecker error message?
    If you do not, your epub is perfectly standard compliant.
    Unfortunately we have no control about how external readers open epub format.
    Anyway if you share your epub to our support team (support@pubcoder.com) we will try to identify the issue.
    "
    we will check on it as soon as possible

  3. Giancarlo N

    2 Nov 2015 Administrator

    it seems ade does not like how we are packaging the epub, therefore even if it is a valid epub 3 (tested also through http://validator.idpf.org/ ) ade refuses to open it properly.
    We are taking care of this one

  4. Angelo S

    2 Nov 2015 Administrator

    Hello Otmar,
    we looked deeply at your problem and actually found there is some strange behavior in Adobe Digital Editions itself.
    In fact, if you try to open the epub instead of importing it to your library, it works flawlessly: right-click your epub file and choose Open with... > Adobe Digital Editions and it will open.
    When you click "Library" it will ask you to import the file to the library, doing this will produce an error but ADE will import the file anyway.
    As I just said, this seems more to be an ADE problem than ours, but anyway we will investigate further and try to fix this.

    As for the for the ADE 4.5 version detection issue, this will be fixed as soon as possible.

  5. Thanks for your investigations!
    Your hint about the packaging seems to be the point. I unzipped the pubcoder v.2 generated epub file and repackaged it with "epub Packager" (v. 1.4, not sure, what's the latest version) and this epub works fine with ADE 4.5 without any errors. The PK Header though definitely looks different in the version generated with epub Packager compared to the output with Pubcoder 2.x. I remember from "older days" that the PK Zip header string in epubs had to follow a certain standard and probably ADE is still relying on this.
    Best Regards
    Otmar

 

or Sign Up to reply!